<?xml version='1.0' encoding='UTF-8'?>
<resources>
    <style name="AppSplashScreenTheme" parent="Theme.SplashScreen">
        <item name="windowSplashScreenBackground">@color/primary_color</item>
        <item name="windowSplashScreenAnimatedIcon">@drawable/splashscreen_logo</item>
        <item name="postSplashScreenTheme">@style/AppTheme</item>
    </style>

    <!-- Base application theme. -->

    <style name="AppTheme" parent="Theme.MaterialComponents.DayNight.NoActionBar">
        <!-- Disable animations between activities -->
        <item name="android:windowAnimationStyle">@null</item>
        <item name="android:windowBackground">@color/transparent_color</item>

        <!-- Android theme override -->
        <item name="colorAccent">@color/primary_color</item>
        <item name="colorPrimary">@color/primary_color</item>
        <item name="android:colorPrimary">@color/primary_color</item>
        <!-- Comment out the following line to disable system's status bar coloring -->
        <item name="android:colorPrimaryDark">@color/primary_dark_color</item>
        <item name="android:textColorPrimary">@color/light_primary_text_color</item>
        <item name="android:textColorSecondary">@color/grey_color</item>
        <item name="android:textColorHint">@color/light_grey_color</item>
        <item name="android:colorBackground">@color/white_color</item>
        <item name="android:textColorPrimaryInverse">@color/white_color</item>

        <item name="accentColor">@color/primary_color</item>
        <item name="accentColorLight30">@color/primary_light_color</item>
        <item name="accentTextColor">@color/white_color</item>
        <item name="primaryTextColor">@color/light_primary_text_color</item>
        <item name="secondaryTextColor">@color/white_color</item>
        <item name="primarySubtextDarkColor">@color/grey_color</item>
        <item name="primarySubtextLightColor">@color/light_grey_color</item>

        <item name="backgroundColor">@color/white_color</item>
        <item name="backgroundColor2">@color/header_background_color</item>
        <item name="backgroundContrastColor">@color/dark_grey_color</item>
        <item name="dividerColor">@color/light_grey_color</item>

        <item name="drawableTintColor">@color/dark_grey_color</item>
        <item name="drawableTintDisabledColor">@color/disabled_color</item>
        <item name="drawableTintOverColor">@color/primary_color</item>
        <item name="drawableTintColor2">@color/white_color</item>
        <item name="drawableTintColor3">@color/light_grey_color</item>

        <item name="lightToolbarBackgroundColor">@color/toolbar_color</item>
        <item name="lightToolbarBackgroundDisabledColor">@color/light_grey_color</item>
        <item name="lightToolbarTextColor">@color/dark_grey_color</item>
        <item name="darkToolbarBackgroundColor">@color/dark_grey_color</item>
        <item name="darkToolbarTextColor">@color/white_color</item>

        <item name="button_background_drawable">@drawable/button_background_light</item>
    </style>

    <style name="FullScreenTheme" parent="@style/AppTheme">
        <item name="android:windowTranslucentStatus">true</item>
        <item name="android:windowTranslucentNavigation">true</item>
    </style>

    <!-- Numpad -->

    <style name="numpad_digit" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@android:color/transparent</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="layout_maxWidth">50dp</item>
        <item name="layout_maxHeight">50dp</item>
    </style>

    <!-- Assistant related -->

    <style name="assistant_input_field_header_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="assistant_country_dialog_style" parent="Base.Theme.AppCompat.Dialog">
        <item name="colorPrimary">@color/primary_color</item>
        <item name="android:textColorPrimary">@color/light_primary_text_color</item>
        <item name="android:windowMinWidthMajor">97%</item>
        <item name="android:windowMinWidthMinor">97%</item>
    </style>

    <!-- About related -->

    <style name="about_license_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
        <item name="android:textStyle">italic</item>
    </style>

    <style name="about_version_font" parent="@android:style/TextAppearance.Small">
        <item name="android:textColor">@color/light_grey_color</item>
        <item name="android:textSize">16sp</item>
    </style>

    <!-- Contact related -->

    <style name="contact_organization_font" parent="@android:style/TextAppearance.Small">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="contact_name_list_cell_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="big_contact_name_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">30sp</item>
    </style>

    <style name="contact_edit_form_label_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@color/light_grey_color</item>
        <item name="android:textSize">13sp</item>
    </style>

    <!-- Chat related -->

    <style name="chat_message_reply_sender_font">
        <item name="android:textColor">@color/light_primary_text_color</item>
        <item name="android:textSize">13sp</item>
        <item name="android:fontFamily">sans-serif-medium</item>
    </style>

    <style name="chat_message_reply_font">
        <item name="android:textColor">@color/light_primary_text_color</item>
        <item name="android:textSize">15sp</item>
        <item name="android:fontFamily">sans-serif</item>
    </style>

    <!-- Call stats -->

    <style name="call_stats_title_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="call_stats_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">12sp</item>
    </style>

    <!-- Dialog related -->

    <style name="dialog_title_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@color/white_color</item>
        <item name="android:textSize">21.7sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:fontFamily">sans-serif</item>
        <item name="android:lineSpacingExtra">6.7sp</item>
    </style>

    <style name="dialog_message_font" parent="@android:style/TextAppearance.Small">
        <item name="android:textColor">@color/white_color</item>
        <item name="android:textSize">21sp</item>
    </style>

    <style name="dialog_cancel_button_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@color/dark_grey_color</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="dialog_action_button_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@color/white_color</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="dialog_zrtp_colored_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@color/green_color</item>
        <item name="android:textSize">20sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:fontFamily">sans-serif</item>
        <item name="android:lineSpacingExtra">8.3sp</item>
    </style>

    <style name="dialog_zrtp_white_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">@color/white_color</item>
        <item name="android:textSize">20sp</item>
        <item name="android:fontFamily">sans-serif</item>
        <item name="android:lineSpacingExtra">8.3sp</item>
    </style>

    <style name="popup_item_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">16sp</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:paddingLeft">20dp</item>
        <item name="android:paddingRight">20dp</item>
    </style>

    <!-- Settings -->

    <style name="settings_category_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/accentColor</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">12sp</item>
    </style>

    <style name="settings_item_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="settings_item_subtitle_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primarySubtextLightColor</item>
        <item name="android:textSize">12sp</item>
    </style>

    <!-- UI various fonts -->

    <style name="toolbar_title_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/accentColor</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">24sp</item>
    </style>

    <style name="accent_colored_title_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/accentColor</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textSize">24sp</item>
    </style>

    <style name="sip_uri_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/accentColor</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="sip_uri_small_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/accentColor</item>
        <item name="android:textSize">12sp</item>
    </style>

    <style name="toolbar_small_title_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="empty_list_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="chat_file_attachment_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">12sp</item>
        <item name="android:fontFamily">sans-serif</item>
    </style>

    <style name="standard_text_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">18sp</item>
    </style>

    <style name="button_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textAllCaps">true</item>
        <item name="android:textSize">16sp</item>
    </style>

    <style name="button_small_font" parent="@android:style/TextAppearance.Small">
        <item name="android:textColor">?attr/primaryTextColor</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="button_tiny_font" parent="@android:style/TextAppearance.Small">
        <item name="android:textColor">?attr/primarySubtextDarkColor</item>
        <item name="android:textSize">10sp</item>
    </style>

    <style name="standard_small_text_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/primarySubtextDarkColor</item>
        <item name="android:textSize">15sp</item>
    </style>

    <style name="unread_count_font" parent="@android:style/TextAppearance.Small">
        <item name="android:textColor">@color/white_color</item>
        <item name="android:textSize">10sp</item>
    </style>

    <style name="file_transfer_progress_font" parent="@android:style/TextAppearance.Medium">
        <item name="android:textColor">?attr/secondaryTextColor</item>
        <item name="android:textSize">12sp</item>
    </style>

</resources>
